<?php

function PodPluginLogMessage($message)
{
    if (is_array($message) || is_object($message)) {
        $message = json_encode($message);
    }
    if (POD_PLUGIN_LOG_ENABLE) {
        $pod_plugin_log_dir = POD_PLUGIN_LOG_DIR;
        $log_file_path = $pod_plugin_log_dir . DIRECTORY_SEPARATOR . POD_PLUGIN_LOG_FILE_NAME;
        $fp = fopen($log_file_path, 'a') or die("Unable to open file!" . $log_file_path);
        fwrite($fp, "\n" . $message);
        fclose($fp);
    }
}

function LogPodApiCall($service_url, $message, $data=[])
{
    PodPluginLogMessage($service_url . $message . json_encode($data));
}