<?php
function handelPodConfigPage()
{

    if (isset($_POST['save'])) {
        $_POST['pod_api_key'] = esc_sql($_POST['pod_api_key']);
        update_option('pod-plugin-options', $_POST);
        echo '<div class="error"><p>تنظیمات با موفقیت ذخیره شد</p></div>';
    }


    if (isset($_POST['save_add'])) {
        update_option('pod-address-options', $_POST);
        update_option('order-address-options', $_POST);
        echo '<div class="error"><p>تنظیمات با موفقیت ذخیره شد</p></div>';
    }

    $pod_plugin_options = get_option('pod-plugin-options');
    $status_pod = empty($pod_plugin_options['order_status']) ? 0 : $pod_plugin_options['order_status'];

    $add_plugin_option = get_option('pod-address-options');

    $address_shipment_options = get_option('order-address-options');
    $status_address_shipment = empty($address_shipment_options['address_shipment']) ? 0 : $address_shipment_options['address_shipment'];
    ?>

    <html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <style>
            body {
                font-family: Arial;
            }

            /* Style the tab */
            .tab {
                overflow: hidden;
                border: 1px solid #ccc;
                background-color: #f1f1f1;
            }

            /* Style the buttons inside the tab */
            .tab button {
                background-color: inherit;
                float: right;
                border: none;
                outline: none;
                cursor: pointer;
                padding: 14px 16px;
                transition: 0.3s;
                font-size: 17px;
            }

            /* Change background color of buttons on hover */
            .tab button:hover {
                background-color: #ddd;
            }

            /* Create an active/current tablink class */
            .tab button.active {
                background-color: #ccc;
            }

            /* Style the tab content */
            .tabcontent {
                display: none;
                padding: 6px 12px;
                border: 1px solid #ccc;
                border-top: none;
            }
        </style>
    </head>
    <body>

    <div>
        <td>
            <img src="https://mikhanam.com/_next/image?url=https%3A%2F%2Fpod.rahpooyan.ir%2Fstore%2Fstatic%2Fimage%2Fstore-application-logo%2F00631eb1e483bbe90d306c7fb8f3e46e8790916d2644c62222a210381c090a1a%2Flogo.png&w=64&q=75"
                 alt="" border=3 height=50
                 width=80
                 style="  display: block;margin-left: auto;margin-right: auto;"></img>
        </td>

    <div class="wrap">

        <h2 style="font-family: 'B Yekan'">درون ریزی محصولات پادچاپ</h2>

        <p>ابتدا مقادیر دریافت شده از پنل پادچاپ را در زیر وارد کنید</p>

        <form method="post" enctype="multipart/form-data">
            <table class="widefat">
                <thead>
                <tr>
                    <th colspan="2">تنظیمات</th>

                </tr>
                </thead>
                <tr>
                    <td>API-KEY</td>
                    <td><input type="text" size="100" name="pod_api_key" placeholder="کلید api" required=""
                               value="<?php echo empty($pod_plugin_options['pod_api_key']) ? '' : $pod_plugin_options['pod_api_key'] ?>"/>
                    </td>
                </tr>
                <tr>
                    <td>API-SECRET</td>
                    <td><input type="text" size="100" name="pod_api_secret_key" placeholder="کلید رمز" required=""
                               value="<?php echo empty($pod_plugin_options['pod_api_secret_key']) ? '' : $pod_plugin_options['pod_api_secret_key'] ?>"/>
                    </td>
                </tr>
                <tr>
                    <td>وضعیت سفارش برای ارسال به POD</td>
                    <td>
                        <select name="order_status">
                            <option value="completed" <?php selected('completed', $status_pod) ?>>تکمیل شده</option>
                            <option value="pending" <?php selected('pending', $status_pod) ?>>در انتظار پرداخت
                            </option>
                            <option value="failed" <?php selected('failed', $status_pod) ?>>ناموفق</option>
                            <option value="processing" <?php selected('processing', $status_pod) ?>>در حال انجام
                            </option>
                            <option value="on-hold" <?php selected('on-hold', $status_pod) ?>>در انتظار بررسی
                            </option>
                            <option value="cancelled" <?php selected('cancelled', $status_pod) ?>>لغو شده</option>
                            <option value="refunded" <?php selected('refunded', $status_pod) ?>>مسترد شده</option>
                            <option value="checkout-draft" <?php selected('checkout-draft', $status_pod) ?>>پیش نویس
                            </option>
                        </select>
                    </td>
                </tr>
                <td colspan="2"><input type="submit" name="save" value="ذخیره" class="button-primary"/></td>
            </table>

    </div>

    <div class="wrap">

        <h2 style="font-family: 'B Yekan'">تعیین وضعیت آدرس ارسال سفارش</h2>

        <h2 style="text-align: center;color: darkred; font-size: 25px; font-family: 'B Yekan'">

            در صورت انتخاب گزینه "آدرس فروشگاه"، چاپخانه سفارش را به آدرس فروشگاه (که در این صفحه مشخص می شود) ارسال می
            کند.

        </h2>
        <p>آدرس ارسال سفارش به شعبه اصلی و یا نمایندگی های خود را وارد کنید.</p>

        <form method="post" enctype="multipart/form-data">
            <table class="widefat">
                <thead>
                <tr>
                    <th colspan="2">مشخصات آدرس ارسال سفارش</th>

                </tr>
                </thead>


                <tr>
                    <td>به چه آدرسی ارسال شود؟</td>
                    <td>
                        <select name="address_shipment">
                            <option value="storeAddress" <?php selected('storeAddress', $status_address_shipment) ?>>
                                آدرس فروشگاه
                            </option>
                            <option value="customerAddress" <?php selected('customerAddress', $status_address_shipment) ?>>
                                آدرس مشتری
                            </option>
                        </select>
                    </td>
                </tr>

                <tr>
                    <td>نام گیرنده سفارش در فروشگاه</td>
                    <td><input type="text" size="100" name="first_name" placeholder="نام" required=""
                               value="<?php echo empty($add_plugin_option['first_name']) ? '' : $add_plugin_option['first_name'] ?>"/>
                    </td>
                </tr>

                <tr>
                    <td>نام خانوادگی گیرنده سفارش در فروشگاه</td>
                    <td><input type="text" size="100" name="last_name" placeholder="نام خانوادگی" required=""
                               value="<?php echo empty($add_plugin_option['last_name']) ? '' : $add_plugin_option['last_name'] ?>"/>
                    </td>
                </tr>


                <tr>
                    <td>استان</td>
                    <td><input type="text" size="100" name="state" placeholder="استان" required=""
                               value="<?php echo empty($add_plugin_option['state']) ? '' : $add_plugin_option['state'] ?>"/>
                    </td>
                </tr>

                <tr>
                    <td>شهر</td>
                    <td><input type="text" size="100" name="city" placeholder="شهر" required=""
                               value="<?php echo empty($add_plugin_option['city']) ? '' : $add_plugin_option['city'] ?>"/>
                    </td>
                </tr>

                <tr>
                    <td>پلاک</td>
                    <td><input type="text" size="100" name="building_number" placeholder="پلاک" required=""
                               value="<?php echo empty($add_plugin_option['building_number']) ? '' : $add_plugin_option['building_number'] ?>"/>
                    </td>
                </tr>

                <tr>
                    <td>واحد</td>
                    <td><input type="text" size="100" name="unit" placeholder="واحد" required=""
                               value="<?php echo empty($add_plugin_option['unit']) ? '' : $add_plugin_option['unit'] ?>"/>
                    </td>
                </tr>


                <td>کد پستی</td>
                <td><input type="text" size="100" name="postal_code" placeholder="کد پستی" required=""
                           value="<?php echo empty($add_plugin_option['postal_code']) ? '' : $add_plugin_option['postal_code'] ?>"/>
                </td>
                </tr>

                <tr>
                    <td>موبایل</td>
                    <td><input type="text" size="100" name="mobile" placeholder="موبایل" required=""
                               value="<?php echo empty($add_plugin_option['mobile']) ? '' : $add_plugin_option['mobile'] ?>"/>
                    </td>
                </tr>

                <tr>
                    <td>تلفن ثابت</td>
                    <td><input type="text" size="100" name="phone" placeholder="تلفن ثابت" required=""
                               value="<?php echo empty($add_plugin_option['phone']) ? '' : $add_plugin_option['phone'] ?>"/>
                    </td>
                </tr>

                <tr>
                    <td>آدرس کامل</td>
                    <td><input type="text" size="100" name="address" placeholder="آدرس کامل" required=""
                               value="<?php echo empty($add_plugin_option['address']) ? '' : $add_plugin_option['address'] ?>"/>
                    </td>
                </tr>

                <td colspan="2"><input type="submit" name="save_add" value="ذخیره" class="button-primary"/></td>
            </table>



    </div>


    </tr>


    </table>
    </form>


    </div>

    <div id="importPodProducts" class="tabcontent">
        <style>
            #progress-bar {
                width: 100%;
                background-color: #f2f2f2;
            }

            #podpagesprogress {
                width: 0%;
                height: 30px;
                background-color: #4caf50;
                color: white;
                text-align: center;
                line-height: 30px;
                border-radius: 4px;
            }

            #waiting-message {
                display: none;
                text-align: center;
                margin-top: 10px;
            }
        </style>

        <div class="wrap">
            <h2>بارگیری محصولات پادچاپ</h2>
            <p>بعد از ذخیره تنظیمات، برروی دکمه شروع کلیک کنید</p>
            <table class="widefat" style="clear: inherit;">
                <thead>
                <tr>
                    <th colspan="2">عملیات</th>
                </tr>
                </thead>
                <tr>
                    <td>
                        <button onclick="startPodProductsLoading()" class="button-primary">شروع</button>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div id="progress-bar">
                            <div id="podpagesprogress"></div>
                        </div>
                        <div id="waiting-message">در حال بارگیری...</div>
                    </td>
                </tr>
            </table>
        </div>

        <script src="https://code.jquery.com/jquery-3.6.3.min.js"
                integrity="sha256-pvPw+upLPUjgMXY0G+8O0xUf+/Im1MZjXxxgOcBQBXU=" crossorigin="anonymous"></script>
        <script>
            function showWaitingMessage() {
                document.getElementById("waiting-message").style.display = "block";
            }

            function hideWaitingMessage() {
                document.getElementById("waiting-message").style.display = "none";
            }

            function OnSuccessAddPopProducts(data, currentPage) {
                if (data.success) {
                    console.log(data.data.page_count);
                    if (currentPage < data.data.page_count) {
                        addPodProducts(currentPage + 1);
                    }
                    var progressbar = document.getElementById("podpagesprogress");
                    var percent = Math.round((currentPage / data.data.page_count) * 100);
                    progressbar.style.width = percent + "%";
                    progressbar.innerHTML = percent + "%";

                    if (percent === 100) {
                        hideWaitingMessage();
                    }
                }
                console.log(data.message);
            }

            function addPodProducts(page) {
                $.ajax({
                    beforeSend: function (xhr) {
                        xhr.withCredentials = true;
                    },
                    type: "GET",
                    dataType: "json",
                    url: "<?php echo get_site_url()?>/wp-json/pod-plugin/get_detail",
                    data: {pod_page: page},
                    success: function (response) {
                        console.log(response)
                        OnSuccessAddPopProducts(response, page);
                    },
                    error: function (jqXHR, exception) {
                        alert("خطایی رخ داد.");
                        console.log(jqXHR, exception);
                    }
                });
            }

            function startPodProductsLoading() {
                showWaitingMessage();
                addPodProducts(1);
            }
        </script>
    </div>


    <div id="configAttributes" class="tabcontent">
        <div>
            <form method="post" enctype="multipart/form-data">
                <table class="widefat">
                    <thead>
                    <tr>
                        <th colspan="2">تنظیمات</th>

                    </tr>
                    </thead>

        </div>

        <script>
            function openCity(evt, cityName) {
                var i, tabcontent, tablinks;
                tabcontent = document.getElementsByClassName("tabcontent");
                for (i = 0; i < tabcontent.length; i++) {
                    tabcontent[i].style.display = "none";
                }
                tablinks = document.getElementsByClassName("tablinks");
                for (i = 0; i < tablinks.length; i++) {
                    tablinks[i].className = tablinks[i].className.replace(" active", "");
                }
                document.getElementById(cityName).style.display = "block";
                evt.currentTarget.className += " active";
            }
        </script>

    </body>
    </html>

    <?php

} ?>
