<?php
function ServiceHandleOrderHooks(WP_REST_Request $request)
{

    $event_name = $request['event_name'];
    $event_data = $request['event_data'];
    $pod_order = $event_data;
    PodPluginLogMessage($pod_order);
//    PodPluginLog(json_encode($event_data));
//    logAPiCallError('/api/v1/store/orderhooks', $event_data);

    $pod_plugin_options = get_option('pod-plugin-options');
    $api_key = $pod_plugin_options['pod_api_key'];
//POD-API
    $headers = apache_request_headers();
    $secret_key = $pod_plugin_options['pod_api_secret_key'];
    $pod_date_time = $headers['X-Api-Date-Time'];

//X-Api-Date-Time todo
//X-Api-Key    todo

    $pod_api_key = $headers['X-Api-Key'];

    $api_pod = ($pod_api_key . ':' . base64_encode(hash_hmac(POD_AUTH_HASH, $pod_date_time, $secret_key, true)));

    //wp_API
    $api_wp = ($api_key . ':' . base64_encode(hash_hmac(POD_AUTH_HASH, $pod_date_time, $secret_key, true)));
    if ($api_wp == $pod_api_key) {

        if (isset($pod_order['metas'])) {

//            $wp_order_id = $pod_order['reference'];
            $wp_order_id = $pod_order['metas']['reference'];
            PodPluginLogMessage($wp_order_id);

            $wp_order = wc_get_order($wp_order_id);


            if ($wp_order && isset($pod_order['status'])) {
                $pod_status = $pod_order['status'];
                $wp_order->update_meta_data('pod_order_status', $pod_status);
                update_post_meta($wp_order_id, 'pod_order_status', $pod_status);

            }
        }

        return ['success' => true, 'data' => ['pod_order_status' => $pod_status]];
    } else {
        echo "Permission denied!";
    }

}